Đến nội dung


Hình ảnh
- - - - -

cần giúp - ve líp cad text


  • Please log in to reply
7 replies to this topic

#1 THIEN-MINH

THIEN-MINH

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 April 2015 - 07:25 AM

chào các bạn!]]

mình có vấn đề là mình muốn có một lisp cad có thể đánh lệnh-> pick vào text thì font time new roment dổi thành font arial ..

 

bạn nào giúp mình với.... thanks rất nhiếu

mong tin!

 


  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 18 April 2015 - 08:29 AM

Tại sao lại cần lisp cho công việc đơn giản vậy bạn :) 


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 THIEN-MINH

THIEN-MINH

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 April 2015 - 10:42 AM

ivì mình thường tổng hợp bán vé , phải đổi font nhìu lần , mình muốn lick cái tất cả các font Time new roman chuyển hết về arial  mong giup


  • 0

#4 THIEN-MINH

THIEN-MINH

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 April 2015 - 11:22 AM

aI GIUP MINH VOI


  • 0

#5 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 18 April 2015 - 01:30 PM

Đây bạn :) :

(defun c:FIXS (/) (c:FIXSTYLE))
(defun c:fixstyle (/ cmd OLD CO ST NEWHT TEMP OLDHT NEWWID)
(command "undo" "be")
(setq cmd (getvar "cmdecho")) (setvar "cmdecho" 0)
(command "_.-STYLE" "ARIAL" "arial.ttf" "0" "0.8" "0" "N" "N") 
(setq OLD (ssget "X" '((0 . "*TEXT"))))
(if OLD
(progn
(setq ST (getvar "textstyle"))
(if (tblsearch "style" ST)
(progn (setq NEWHT (assoc 40 (tblsearch "style" ST)))
(if (not (> (cdr NEWHT) 0))
(progn (prompt "\n The style you have chosen has a preset height of 0.")
(prompt "\n The existing height of the text will be maintained.")
)
)
(setq CO 0)
(while (< CO (sslength OLD))
(progn (setq TEMP (entget (ssname OLD CO))
CO (1+ CO)
)
(if (or (= "TEXT" (cdr (assoc 0 TEMP))) (= "MTEXT" (cdr (assoc 0 TEMP))))
(progn (setq OLDHT (assoc 40 TEMP))
(setq NEWWID (assoc 41 (tblsearch "style" ST))
NEWHT (assoc 40 (tblsearch "style" ST))
)
(if (= (cdr NEWHT) 0.0)
(setq NEWHT OLDHT)
)
(setq TEMP (subst (cons 7 ST) (assoc 7 TEMP) TEMP))
(setq TEMP (subst NEWWID (assoc 41 TEMP) TEMP))
(setq TEMP (subst NEWHT (assoc 40 TEMP) TEMP))
(entmod TEMP)
)
)
)
)
)
)
)
(prompt "\n Next time select a text style that exists.")
) (setvar "cmdecho" cmd)
(command "undo" "e")
(princ))

Nhớ là các Text phải cùng kiểu gõ Unicode nhé, nếu ko thì ra chữ Kampuchia thì tui ko chịu trách nhiệm :D


  • 3

#6 THIEN-MINH

THIEN-MINH

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 April 2015 - 08:01 AM

Đây bạn :) :

(defun c:FIXS (/) (c:FIXSTYLE))
(defun c:fixstyle (/ cmd OLD CO ST NEWHT TEMP OLDHT NEWWID)
(command "undo" "be")
(setq cmd (getvar "cmdecho")) (setvar "cmdecho" 0)
(command "_.-STYLE" "ARIAL" "arial.ttf" "0" "0.8" "0" "N" "N") 
(setq OLD (ssget "X" '((0 . "*TEXT"))))
(if OLD
(progn
(setq ST (getvar "textstyle"))
(if (tblsearch "style" ST)
(progn (setq NEWHT (assoc 40 (tblsearch "style" ST)))
(if (not (> (cdr NEWHT) 0))
(progn (prompt "\n The style you have chosen has a preset height of 0.")
(prompt "\n The existing height of the text will be maintained.")
)
)
(setq CO 0)
(while (< CO (sslength OLD))
(progn (setq TEMP (entget (ssname OLD CO))
CO (1+ CO)
)
(if (or (= "TEXT" (cdr (assoc 0 TEMP))) (= "MTEXT" (cdr (assoc 0 TEMP))))
(progn (setq OLDHT (assoc 40 TEMP))
(setq NEWWID (assoc 41 (tblsearch "style" ST))
NEWHT (assoc 40 (tblsearch "style" ST))
)
(if (= (cdr NEWHT) 0.0)
(setq NEWHT OLDHT)
)
(setq TEMP (subst (cons 7 ST) (assoc 7 TEMP) TEMP))
(setq TEMP (subst NEWWID (assoc 41 TEMP) TEMP))
(setq TEMP (subst NEWHT (assoc 40 TEMP) TEMP))
(entmod TEMP)
)
)
)
)
)
)
)
(prompt "\n Next time select a text style that exists.")
) (setvar "cmdecho" cmd)
(command "undo" "e")
(princ))

Nhớ là các Text phải cùng kiểu gõ Unicode nhé, nếu ko thì ra chữ Kampuchia thì tui ko chịu trách nhiệm :D

thanks bạn , nhungh sao nó vẫn chưa được ban oi


  • 0

#7 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 21 April 2015 - 10:45 AM

Load lisp. Gõ lệnh Fixs là tự động đổi hết các Text trong bản vẽ về loại  textStyle "ARIAL" có font Arial.

Nếu muốnn quét chọn thì chỗ (setq OLD (ssget "X" '((0 . "*TEXT")))) đổi thành (setq OLD (ssget '((0 . "*TEXT"))))

:)


  • 0

#8 THIEN-MINH

THIEN-MINH

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 April 2015 - 09:10 PM

oh thank bạn pphung183 nhìu nha !...


  • 0